/*****************************************************************************
 * $Source: /expand6/cvsroot/charm/src/Common/ck-ldb/RandCentLB.h,v $
 * $Author: olawlor $
 * $Date: 2000/05/18 03:37:51 $
 * $Revision: 1.5 $
 *****************************************************************************/

#ifndef _RANDCENTLB_H_
#define _RANDCENTLB_H_

#include "CentralLB.h"
#include "RandCentLB.decl.h"

void CreateRandCentLB();

class RandCentLB : public CentralLB {
public:
  RandCentLB();
  RandCentLB(CkMigrateMessage *m) {}
private:
  CmiBool QueryBalanceNow(int step);
  CLBMigrateMsg* Strategy(CentralLB::LDStats* stats, int count);
};

#endif /* _RANDCENTLB_H_ */
